> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bonx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Récupérer une organisation

> Renvoie une organisation par son identifiant.

Renvoie une organisation par son identifiant.

```json Réponse theme={null}
{
  "organizationsByPk": {
    "id": 3,
    "name": "MecMar",
    "type": "CLIENT",
    "gln": "3401234000015",
    "mainContact": {
      "id": 5,
      "name": "Claire Vasseur",
      "primaryEmail": "claire.vasseur@mecmar.example"
    },
    "billingAddress": {
      "id": 9,
      "name": "Siège",
      "city": "Lyon",
      "postalCode": "69007",
      "country": "FR"
    }
  }
}
```


## OpenAPI

````yaml openapi.json GET /organizations/{id}
openapi: 3.0.0
info:
  title: Bonx API
  version: 1.0.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://YOUR-API-URL
        description: Your space API URL, available in Settings → API tokens.
security: []
paths:
  /organizations/{id}:
    get:
      summary: Retrieve an organization
      parameters:
        - in: header
          name: x-api-key
          schema:
            type: string
          description: API token from your Bonx space.
        - description: _"id" is required as part of the path_
          in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  organizationsByPk:
                    description: A client or supplier organisation
                    nullable: true
                    properties:
                      billingAddress:
                        nullable: true
                        properties:
                          city:
                            nullable: false
                            type: string
                          country:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: true
                            type: string
                          postalCode:
                            nullable: false
                            type: string
                        type: object
                      gln:
                        nullable: true
                        type: string
                      id:
                        nullable: false
                        type: integer
                      mainContact:
                        description: >-
                          A contact (a physical person, from a client, supplier
                          or 3rd party partner)
                        nullable: true
                        properties:
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: true
                            type: string
                          primaryEmail:
                            nullable: true
                            type: string
                          primaryPhoneNumber:
                            nullable: true
                            type: string
                        type: object
                      name:
                        nullable: false
                        type: string
                      shippingAddress:
                        nullable: true
                        properties:
                          city:
                            nullable: false
                            type: string
                          country:
                            nullable: true
                            type: string
                          id:
                            nullable: false
                            type: integer
                          name:
                            nullable: true
                            type: string
                          postalCode:
                            nullable: false
                            type: string
                        type: object
                      type:
                        $ref: '#/components/schemas/organization_type'
                    type: object
          description: Response
components:
  schemas:
    organization_type:
      nullable: true

````